Returns the GitHub App installation link.
curl --request GET \
--url https://api.example.com/api/v0/companies/{company_id}/github/installation-linkimport requests
url = "https://api.example.com/api/v0/companies/{company_id}/github/installation-link"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v0/companies/{company_id}/github/installation-link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}{
"msg": "<string>"
}Companies
Returns the GitHub App installation link.
It appends a state query parameter with a random value that is validated in the installation callback to prevent CSRF attacks.
Access control rules
- Company member of the company.
- Admins can list all companies. Requires
manage_companiespermissions.
GET
/
api
/
v0
/
companies
/
{company_id}
/
github
/
installation-link
Returns the GitHub App installation link.
Path Parameters
Response
GitHub App installation link
The response is of type string.
⌘I